View Issue Details

IDProjectCategoryView StatusLast Update
0004111SymmetricDSBugpublic2019-11-01 08:44
Reporterchenson42 Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.5Fixed in Version3.10.5 
Summary0004111: Server node with at least one offline client does not update its heartbeat
DescriptionWhen a SymmetricDS node has many client nodes, if one node is offline and has a pending heartbeat batch, then the server does not update its sym_node_host row until the offline node's heartbeat batch is OK'd. This makes it look like the server is offline.
TagsNo tags attached.

Relationships

related to 0003883 closedelong Lost heartbeat when using more than two node groups 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 d712d5e3

2019-10-25 16:00:32

admin

Details Diff
0004111: Server node with at least one offline client does not update
its heartbeat
Affected Issues
0004111
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/PushHeartbeatListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2019-10-14 11:14 chenson42 New Issue
2019-10-14 11:17 chenson Target Version => 3.10.5
2019-10-14 11:17 chenson Status new => confirmed
2019-10-25 16:00 elong Assigned To => elong
2019-10-25 16:00 elong Status confirmed => resolved
2019-10-25 16:00 elong Resolution open => fixed
2019-10-25 16:00 elong Fixed in Version => 3.10.5
2019-10-25 17:00 admin Changeset attached => SymmetricDS 3.10 d712d5e3
2019-10-29 08:52 elong Relationship added related to 0003883
2019-10-29 08:52 elong Product Version 3.10.4 => 3.10.0
2019-11-01 08:44 admin Status resolved => closed